## gtkmm-documentation 2.14.0

=== docs/tutorial/html/icons/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# docs/tutorial/icons/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/gtkmm-documentation
pkglibdir = $(libdir)/gtkmm-documentation
pkgincludedir = $(includedir)/gtkmm-documentation
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/docs/Makefile_web.am_fragment
subdir = docs/tutorial/icons
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/scripts/macros.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(iconsdir)"
iconsDATA_INSTALL = $(INSTALL_DATA)
DATA = $(icons_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/murrayc/checkouts/gnome224/gtkmm-documentation/scripts/missing --run aclocal-1.10 -I scripts -I /opt/gnome224/share/aclocal -I ./scripts
AMTAR = ${SHELL} /home/murrayc/checkouts/gnome224/gtkmm-documentation/scripts/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /home/murrayc/checkouts/gnome224/gtkmm-documentation/scripts/missing --run autoconf
AUTOHEADER = :
AUTOMAKE = ${SHELL} /home/murrayc/checkouts/gnome224/gtkmm-documentation/scripts/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g 
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -Wall
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"gtkmm-documentation\" -DPACKAGE_TARNAME=\"gtkmm-documentation\" -DPACKAGE_VERSION=\"2.13.2\" -DPACKAGE_STRING=\"gtkmm-documentation\ 2.13.2\" -DPACKAGE_BUGREPORT=\"gtkmm-list@gnome.org\" -DPACKAGE=\"gtkmm-documentation\" -DVERSION=\"2.13.2\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_MKFIFO=1 -DHAVE_FLOCKFILE=1 -DHAVE_FUNLOCKFILE=1 -DHAVE_GETC_UNLOCKED=1
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS = --disable-scrollkeeper 
DLLTOOL = dlltool
DOCS_SUBDIR = docs
DOC_USER_FORMATS = 
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXAMPLE_SUBDIR = examples
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/opt/gnome224/include/glib-2.0 -I/opt/gnome224/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -L/opt/gnome224/lib -lgthread-2.0 -lrt -lglib-2.0  
GTKMMDOCS_CFLAGS = -I/opt/gnome224/include/gtkmm-2.4 -I/opt/gnome224/lib/gtkmm-2.4/include -I/opt/gnome224/include/glibmm-2.4 -I/opt/gnome224/lib/glibmm-2.4/include -I/opt/gnome224/include/giomm-2.4 -I/opt/gnome224/lib/giomm-2.4/include -I/opt/gnome224/include/gdkmm-2.4 -I/opt/gnome224/lib/gdkmm-2.4/include -I/opt/gnome224/include/pangomm-1.4 -I/opt/gnome224/include/atkmm-1.6 -I/opt/gnome224/include/gtk-2.0 -I/opt/gnome224/include/sigc++-2.0 -I/opt/gnome224/lib/sigc++-2.0/include -I/opt/gnome224/include/glib-2.0 -I/opt/gnome224/lib/glib-2.0/include -I/opt/gnome224/lib/gtk-2.0/include -I/opt/gnome224/include/cairomm-1.0 -I/opt/gnome224/include/pango-1.0 -I/opt/gnome224/include/cairo -I/opt/gnome224/include/pixman-1 -I/opt/gnome224/include/atk-1.0 -I/opt/gnome224/include/libglademm-2.4 -I/opt/gnome224/lib/libglademm-2.4/include -I/opt/gnome224/include/libglade-2.0 -I/opt/gnome224/include/libxml2 -I/usr/include/freetype2 -I/usr/include/libpng12  
GTKMMDOCS_LIBS = -L/opt/gnome224/lib -lglademm-2.4 -lgtkmm-2.4 -lglade-2.0 -lgiomm-2.4 -lgdkmm-2.4 -latkmm-1.6 -lpangomm-1.4 -lcairomm-1.0 -lglibmm-2.4 -lsigc-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
HELP_DIR = ${datadir}/gnome/help
INSTALL = /home/murrayc/bin/install-check
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -L/opt/gnome224/lib 
LIBGTKMM_SO_VERSION = 1:30:0
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
M4 = m4
MAINT = 
MAKEINFO = ${SHELL} /home/murrayc/checkouts/gnome224/gtkmm-documentation/scripts/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OMF_DIR = ${datadir}/omf
PACKAGE = gtkmm-documentation
PACKAGE_BUGREPORT = gtkmm-list@gnome.org
PACKAGE_NAME = gtkmm-documentation
PACKAGE_STRING = gtkmm-documentation 2.13.2
PACKAGE_TARNAME = gtkmm-documentation
PACKAGE_VERSION = 2.13.2
PATH_SEPARATOR = :
PERL_PATH = /usr/bin/perl
PKG_CONFIG = /opt/gnome224/bin/pkg-config
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.13.2
abs_builddir = /home/murrayc/checkouts/gnome224/gtkmm-documentation/docs/tutorial/icons
abs_srcdir = /home/murrayc/checkouts/gnome224/gtkmm-documentation/docs/tutorial/icons
abs_top_builddir = /home/murrayc/checkouts/gnome224/gtkmm-documentation
abs_top_srcdir = /home/murrayc/checkouts/gnome224/gtkmm-documentation
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/murrayc/checkouts/gnome224/gtkmm-documentation/scripts/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /opt/gnome224
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
web_host = gtkmm.org
web_path_gtkmm = /home/murrayc/gtkmm.org/docs/gtkmm-2.4/
#web_path_gtkmm = /home/groups/g/gt/gtkmm/htdocs/docs/gtkmm-2.4/
web_path_docs = $(web_path_gtkmm)docs/

#--delete and --delete-after are causing
# "
# Invalid file index: 1768710413 (count=0) [receiver]
# rsync error: protocol incompatibility (code 2) at sender.c(156)
# "
# with sourceforge recently (May 2005). murrayc.
#
#rsync_args = -vz --rsh ssh --delete --delete-after
rsync_args = -vz --rsh ssh
gtkmm_docdir = $(datadir)/doc/gtkmm-2.4/docs
iconsdir = $(gtkmm_docdir)/tutorial/icons
icons_DATA = caution.png home.png important.png next.png note.png prev.png tip.png up.png warning.png
EXTRA_DIST = $(icons_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/docs/Makefile_web.am_fragment $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  docs/tutorial/icons/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  docs/tutorial/icons/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-iconsDATA: $(icons_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(iconsdir)" || $(MKDIR_P) "$(DESTDIR)$(iconsdir)"
	@list='$(icons_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(iconsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(iconsdir)/$$f'"; \
	  $(iconsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(iconsdir)/$$f"; \
	done

uninstall-iconsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(icons_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(iconsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(iconsdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(iconsdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"

## gtkmm-documentation 3.0.3

=== debian/changelog ===
gtkmm-documentation (3.0.3-1) unstable; urgency=low

  * New upstream release for GTKMM 3.0:
    + debian/control.in:
      - Update build dependencies to libgtkmm-3.0-dev >= 3.0.0.
      - Fix Vcs-* URLs.
      - Update Standard-Version to 3.9.2. No change needed.
  * debian/watch:
    + Fix Regex to work correctly, and target *.tar.bz2.
  * Update to debian source format 3.0 (quilt). 
  * debian/gtkmm-documentation.doc-base.gtkmm-documentation-faq:
    + Dropped. No longer exists.
  * debian/gtkmm-documentation.*:
    + Update links and references to gtkmm-3.0.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 23 Jun 2011 01:43:39 -0700

gtkmm-documentation (2.20.1-1) unstable; urgency=low

  * New upstream stable release:
    + debian/patches/*:
      - Drop all patches, not necessary anymore.
    + debian/control.in:
      - Update build dependencies and update description for
        the removed Glade documentation.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Apr 2010 08:41:03 +0200

gtkmm-documentation (2.16.0-3) unstable; urgency=low

  * debian/control.in,
    debian/rules:
    - Switch to quilt for patch management.
  * debian/patches/03_remove_deprecated_cflags.patch:
    - Don't disable deprecated functions in our builds. Closes: #551215.
  * debian/patches/04_remove_ac_try_link.patch:
    - Remove unneded code from configure.ac that prevented aclocal
      from doing its job.
  * debian/patches/90_autoreconf.patch:
    - Run autoreconf on top of the above patches.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 07 Mar 2010 02:03:05 +0100

gtkmm-documentation (2.16.0-2) unstable; urgency=low

  * Upload to unstable.
    + Drop check-dist.mk.
    + Track unstable branch in Vcs-* URLs.
  * Add 02_dont_build_tutorial.patch to avoid rebuilding docs.
    + Comment xsltproc tricks for now.
    + Drop docbook-xsl from build-depends.
  * Update debian/copyright to conform to latest DEP 5.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 21 Apr 2009 00:40:59 +0800

gtkmm-documentation (2.16.0-1) experimental; urgency=low

  * New upstream release.
    + Update build-depends to libglibmm-2.4-dev >= 2.16.0 and
      libgtkmm-2.4-dev >= 1:2.16.0 as per configure.in.
  * Update Standard-Version to 3.8.1.  No change needed.
  * Reformat the long description a little bit.
  * Add 01_non_exist_png.patch to stop installing an non-exist png file.
    + Add simple-patchsys.mk to debian/rules.
  * Target experimental to match gtkmm at the time.  Add check-dist.mk.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 24 Mar 2009 00:42:23 +0800

gtkmm-documentation (2.14.0-2) unstable; urgency=low

  * Upload to unstable.  Drop check-dist.mk
  * Track unstable branch in Vcs-*.
  * Point to versioned copyrights in debian/copyright.
  * Gtkmm FAQ migration from libgtkmm-2.4-doc:
    + Provide faq links.
    + Update doc-base for faq to point to /usr/share/doc/gtkmm-2.4/docs/FAQ/*.
    + Conflicts/Replaces: libgtkmm-2.4-doc (<< 1:2.14.3-2).

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 08 Mar 2009 16:42:42 +0800

gtkmm-documentation (2.14.0-1) experimental; urgency=low

  [ Deng Xiyue ]
  * Initial release (Closes: #493295)

  [ Loic Minier ]
  * Fix small typo in README.Debian.
  * Don't set GNOME_MODULE in rules; default is fine.
  * Build-dep on libglib2.0-dev >= 2.4.0 for gthread's CFLAGS.
  * Drop dpkg-dev build-dep.
  * Generate a xsltproc wrapper in debian/bin/ to add --nonet to the command
    line flags; prepend debian/bin to the PATH.
  * Pass
    DOCBOOK_STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl
    via DEB_MAKE_ENVVARS and bdep on docbook-xsl.
  
  [ Deng Xiyue ]
  * Add missing copyright holders, and fix incorrect license statement.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 01 Feb 2009 09:54:35 +0800

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gtkmm-documentation
Section: doc
Priority: optional
Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.gtkmm.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm-documentation
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm-documentation
Build-Depends: cdbs (>= 0.4.51),
               debhelper (>= 7),
               quilt,
               gnome-pkg-tools (>= 0.11),
               gnome-doc-utils (>= 0.9.0),
               libglibmm-2.4-dev (>= 2.24.0),
               libgtkmm-3.0-dev (>= 3.0.0)
Standards-Version: 3.9.2

Package: gtkmm-documentation
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lynx | www-browser,
         doc-base,
         libgtkmm-2.4-doc
Recommends: libglibmm-2.4-doc
Conflicts: libgtkmm-2.4-doc (<< 1:2.14.3-2)
Replaces: libgtkmm-2.4-doc (<< 1:2.14.3-2)
Description: Documentation of C++ wrappers for GLib/GTK+
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 Gtkmm is a C++ interface for the popular GUI library GTK+.  It provides
 a convenient interface for C++ programmers to create graphical user
 interfaces with GTK+'s flexible OO framework. Highlights include type
 safe callbacks, widgets extensible using inheritance and over 180
 classes that can be freely combined to quickly create complex user 
 interfaces.
 .
 This package contains tutorial, FAQ, as well as examples for the above
 components.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

#DEB_MAKE_ENVVARS += DOCBOOK_STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl
#
#PATH := $(CURDIR)/debian/bin:$(PATH)
#
## xsltproc wrapper to pass --nonet in flags
#debian/bin/xsltproc:
#	mkdir -p debian/bin
#	(echo '#!/bin/sh'; echo 'set -e'; echo 'PATH="$${PATH#$$(dirname "$$0"):}" exec xsltproc --nonet "$$@"') >debian/bin/xsltproc; chmod a+x debian/bin/xsltproc
#
#pre-build:: debian/bin/xsltproc
#
#clean::
#	rm -rf debian/bin

DEB_DESTDIR := $(CURDIR)/debian/tmp

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://download.gnome.org/sources/gtkmm-documentation/([\d\.]+[24680])/ \
        gtkmm-documentation-([\d\.]+)\.tar\.bz2

## gtkmm-documentation 3.2.1

=== debian/changelog ===
gtkmm-documentation (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Bump Build-Depends on libgtkmm-3.0-dev to (>= 3.2.0).
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Dec 2011 06:51:29 +0100

gtkmm-documentation (3.0.3-2) unstable; urgency=low

  * Depends on libgtkmm-3.0-doc instead of libgtkmm-2.4-doc.  (Closes: #644008)

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 02 Oct 2011 01:14:23 -0700

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Section: doc
 Priority: optional
 Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm-documentation
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm-documentation
 Build-Depends: cdbs (>= 0.4.51),
-               debhelper (>= 7),
+               debhelper (>= 8),
                quilt,
                gnome-pkg-tools (>= 0.11),
                gnome-doc-utils (>= 0.9.0),
                libglibmm-2.4-dev (>= 2.24.0),
-               libgtkmm-3.0-dev (>= 3.0.0)
+               libgtkmm-3.0-dev (>= 3.2.0)
 Standards-Version: 3.9.2
 
 Package: gtkmm-documentation
@@ -28,7 +28,7 @@
          ${shlibs:Depends},
          lynx | www-browser,
          doc-base,
-         libgtkmm-2.4-doc
+         libgtkmm-3.0-doc
 Recommends: libglibmm-2.4-doc
 Conflicts: libgtkmm-2.4-doc (<< 1:2.14.3-2)
 Replaces: libgtkmm-2.4-doc (<< 1:2.14.3-2)
@@ -41,7 +41,7 @@
  a convenient interface for C++ programmers to create graphical user
  interfaces with GTK+'s flexible OO framework. Highlights include type
  safe callbacks, widgets extensible using inheritance and over 180
- classes that can be freely combined to quickly create complex user 
+ classes that can be freely combined to quickly create complex user
  interfaces.
  .
  This package contains tutorial, FAQ, as well as examples for the above

## gtkmm-documentation 3.4.0

=== debian/changelog ===
gtkmm-documentation (3.4.0-3) unstable; urgency=low

  * Brown paper bag upload.
  * Reintroduce the symlink, but in /usr/share/doc/libgtkmm-3.0-doc instead;
    our doc-base file references the symlink path.  Thanks, Michael Biebl!

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Feb 2013 22:29:54 +0100

gtkmm-documentation (3.4.0-2) unstable; urgency=medium

  * Team upload
  * Remove /usr/share/doc/gtkmm-3.0/tutorial symlink (closes: #700790).
    /usr/share/doc/gtkmm-3.0 is itself a symlink, which messes things up.

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Feb 2013 21:43:52 +0100

gtkmm-documentation (3.4.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libgtkmm-3.0-dev to (>= 3.4.0).
  * Bump Build-Depends on libglibmm-2.4-dev to (>= 2.32.0).
  * Update debian/copyright to the final copyright format 1.0 spec.
  * Bump Standards-Version to 3.9.3.
  * Drop Build-Depends on quilt, not necessary with source format 3.0 (quilt).

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Apr 2012 19:22:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,15 @@
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gtkmm-documentation
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gtkmm-documentation
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gtkmm-documentation
 Build-Depends: cdbs (>= 0.4.51),
                debhelper (>= 8),
-               quilt,
                gnome-pkg-tools (>= 0.11),
                gnome-doc-utils (>= 0.9.0),
-               libglibmm-2.4-dev (>= 2.24.0),
-               libgtkmm-3.0-dev (>= 3.2.0)
-Standards-Version: 3.9.2
+               libglibmm-2.4-dev (>= 2.32.0),
+               libgtkmm-3.0-dev (>= 3.4.0)
+Standards-Version: 3.9.3
 
 Package: gtkmm-documentation
 Section: doc

## gtkmm-documentation 3.8.0

=== debian/changelog ===
gtkmm-documentation (3.8.0-1) unstable; urgency=low

  * New upstream release.
  * Use correct paths in doc-base file.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Jun 2013 00:28:21 +0200

gtkmm-documentation (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Drop DM-Upload-Allowed field, DM upload permissions are no longer handled
    this way.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Drop obsolete Conflicts/Replaces.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 May 2013 21:55:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Priority: optional
 Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gtkmm-documentation
@@ -18,7 +17,7 @@
                gnome-doc-utils (>= 0.9.0),
                libglibmm-2.4-dev (>= 2.32.0),
                libgtkmm-3.0-dev (>= 3.4.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: gtkmm-documentation
 Section: doc
@@ -29,8 +28,6 @@
          doc-base,
          libgtkmm-3.0-doc
 Recommends: libglibmm-2.4-doc
-Conflicts: libgtkmm-2.4-doc (<< 1:2.14.3-2)
-Replaces: libgtkmm-2.4-doc (<< 1:2.14.3-2)
 Description: Documentation of C++ wrappers for GLib/GTK+
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

## gtkmm-documentation 3.12.0

=== debian/changelog ===
gtkmm-documentation (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Bump Build-Depends on libgtkmm-3.0-dev and libglibmm-2.4-dev as per
    configure.ac.
  * Switch from gnome-doc-utils to yelp-tools.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 23:30:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Section: doc
 Priority: optional
 Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gtkmm-documentation
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gtkmm-documentation
 Build-Depends: cdbs (>= 0.4.51),
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.11),
-               gnome-doc-utils (>= 0.9.0),
-               libglibmm-2.4-dev (>= 2.32.0),
-               libgtkmm-3.0-dev (>= 3.4.0)
-Standards-Version: 3.9.4
+               yelp-tools,
+               libglibmm-2.4-dev (>= 2.40.0),
+               libgtkmm-3.0-dev (>= 3.12.0)
+Standards-Version: 3.9.5
 
 Package: gtkmm-documentation
 Section: doc

## gtkmm-documentation 3.18.0

=== debian/changelog ===
gtkmm-documentation (3.18.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Bump Build-Depends on libgtkmm-3.0-dev and libglibmm-2.4-dev as per
    configure.ac.

  [ Michael Biebl ]
  * Add Build-Depends on mm-common (>= 0.9.8).
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Dec 2015 19:40:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gtkmm-documentation
 Section: doc
 Priority: optional
 Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gtkmm-documentation
 Build-Depends: cdbs (>= 0.4.51),
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.11),
                yelp-tools,
-               libglibmm-2.4-dev (>= 2.40.0),
-               libgtkmm-3.0-dev (>= 3.12.0)
-Standards-Version: 3.9.5
+               libglibmm-2.4-dev (>= 2.45.40),
+               libgtkmm-3.0-dev (>= 3.18.0),
+               mm-common (>= 0.9.8)
+Standards-Version: 3.9.6
 
 Package: gtkmm-documentation
 Section: doc

=== debian/watch ===
version=3
http://download.gnome.org/sources/gtkmm-documentation/([\d\.]+[24680])/ \
        gtkmm-documentation-([\d\.]+)\.tar\.xz

## gtkmm-documentation 3.20.0

=== debian/changelog ===
gtkmm-documentation (3.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 9.
  * Update Build-Depends:
    - Bump libgtkmm-3.0-dev to (>= 3.20.0).
    - Bump libglibmm-2.4-dev to (>= 2.48.0).
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 21:45:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gtkmm-documentation
 Build-Depends: cdbs (>= 0.4.51),
-               debhelper (>= 8),
+               debhelper (>= 9),
                gnome-pkg-tools (>= 0.11),
                yelp-tools,
-               libglibmm-2.4-dev (>= 2.45.40),
-               libgtkmm-3.0-dev (>= 3.18.0),
+               libglibmm-2.4-dev (>= 2.48.0),
+               libgtkmm-3.0-dev (>= 3.20.0),
                mm-common (>= 0.9.8)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: gtkmm-documentation
 Section: doc

## gtkmm-documentation 3.22.0

=== debian/changelog ===
gtkmm-documentation (3.22.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 12:05:30 -0500

gtkmm-documentation (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.50.0).
    - Bump libgtkmm-3.0-dev to (>= 3.22.0).
    - Bump mm-common to (>= 0.9.10).
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Nov 2016 19:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,18 @@
 Source: gtkmm-documentation
 Section: doc
 Priority: optional
-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Homepage: http://www.gtkmm.org/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtkmm-documentation
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gtkmm-documentation
-Build-Depends: cdbs (>= 0.4.51),
-               debhelper (>= 9),
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gtkmm-documentation.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gtkmm-documentation.git
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools (>= 0.11),
                yelp-tools,
-               libglibmm-2.4-dev (>= 2.48.0),
-               libgtkmm-3.0-dev (>= 3.20.0),
-               mm-common (>= 0.9.8)
-Standards-Version: 3.9.8
+               libglibmm-2.4-dev (>= 2.50.0),
+               libgtkmm-3.0-dev (>= 3.22.0),
+               mm-common (>= 0.9.10)
+Standards-Version: 4.1.2
 
 Package: gtkmm-documentation
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## gtkmm-documentation 3.24.0

=== debian/changelog ===
gtkmm-documentation (3.24.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtkmm to 3.24.0
  * Don't depend on lynx | www-browser
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 10:28:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gtkmm-documentation
 Section: doc
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Homepage: http://www.gtkmm.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gtkmm-documentation.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gtkmm-documentation.git
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.11),
                yelp-tools,
                libglibmm-2.4-dev (>= 2.50.0),
-               libgtkmm-3.0-dev (>= 3.22.0),
+               libgtkmm-3.0-dev (>= 3.24.0),
                mm-common (>= 0.9.10)
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm-documentation
+Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm-documentation.git
+Homepage: https://www.gtkmm.org/
 
 Package: gtkmm-documentation
-Section: doc
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         lynx | www-browser,
          doc-base,
-         libgtkmm-3.0-doc
+         libgtkmm-3.0-doc (>= 3.24.0)
 Recommends: libglibmm-2.4-doc
 Description: Documentation of C++ wrappers for GLib/GTK+
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gnome

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## gtkmm-documentation 4.10.1

=== debian/changelog ===
gtkmm-documentation (4.10.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Build with gtkmm4.0 and glibmm2.68
  * Add Build-Depends: docbook-xsl, itstool, libxml2-utils, xsltproc
  * Bump debhelper-compat to 13
  * Stop using debian/control.in and gnome-pkg-tools
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Apr 2024 15:45:17 -0400

=== debian/control ===
Source: gtkmm-documentation
Section: doc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               docbook-xsl,
               itstool,
               libglibmm-2.68-dev,
               libgtkmm-4.0-dev,
               libxml2-utils,
               meson,
               mm-common (>= 0.9.10),
               xsltproc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm-documentation
Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm-documentation.git
Homepage: https://www.gtkmm.org/

Package: gtkmm-documentation
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         libgtkmm-4.0-doc
Recommends: libglibmm-2.68-doc
Description: Documentation of C++ wrappers for GLib/GTK
 GLib is a low-level general-purpose library used mainly by GTK/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 Gtkmm is a C++ interface for the popular GUI library GTK. It provides
 a convenient interface for C++ programmers to create graphical user
 interfaces with GTK's flexible OO framework. Highlights include type
 safe callbacks, widgets extensible using inheritance and over 180
 classes that can be freely combined to quickly create complex user
 interfaces.
 .
 This package contains tutorial, FAQ, as well as examples for the above
 components.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- -Dallow-network-access=false

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## gtkmm-documentation 4.12.0

=== meson_options.txt ===
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'min',
  description: 'Compiler warning level')
option('dist-warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'max',
  description: 'Compiler warning level when a tarball is created')
option('build-examples', type: 'boolean', value: false,
  description: 'Build all example programs')
option('validation', type: 'boolean', value: true,
  description: 'Validate the untranslated XML file')
option('allow-network-access', type: 'boolean', value: true,
  description: 'Allow xmllint and xsltproc to fetch files over the network')
option('build-translations', type: 'boolean', value: true,
  description: 'Build translated tutorials')
option('build-pdf', type: 'boolean', value: false,
  description: 'Build tutorial PDF file')

=== debian/changelog ===
gtkmm-documentation (4.12.0-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Remove remaining patch: applied in new release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 16:17:27 -0500

gtkmm-documentation (4.10.1-2) unstable; urgency=medium

  * Backport patch to fix build failure with libxml2 2.12.7 (Closes: #1073438)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 30 Aug 2024 17:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                meson,
                mm-common (>= 0.9.10),
                xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtkmm-documentation
 Vcs-Git: https://salsa.debian.org/gnome-team/gtkmm-documentation.git
 Homepage: https://www.gtkmm.org/
